package com.heyu.api.data.service.ip;
/**
* <p>
* ip表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.ip.IpDatabaseEntity;
public interface IpDatabaseService extends IService<IpDatabaseEntity> {



	IpDatabaseEntity selectIpDatabaseById(Long id);


	Long insertIpDatabase(IpDatabaseEntity ipDatabase);


	Long insertOrUpdateIpDatabase(IpDatabaseEntity ipDatabase);


	int updateIpDatabaseById(IpDatabaseEntity ipDatabase);


	int updateCoverIpDatabaseById(IpDatabaseEntity ipDatabase);


	int deleteIpDatabaseById(Long id);


}